Documents - Count

查詢索引中的文件數目。

GET {endpoint}/indexes('{indexName}')/docs/$count?api-version=2026-04-01

URI 參數

名稱 位於 必要 類型 Description
endpoint
path True

string (uri)

搜尋服務的端點 URL。

indexName
path True

string

索引的名稱。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

要求標頭

名稱 必要 類型 Description
Accept

Accept

接受標頭。

x-ms-client-request-id

string (uuid)

一個不透明、全域唯一、由客戶端產生的請求字串識別碼。

回應

名稱 類型 Description
200 OK

integer

要求已成功。

Media Types: "text/plain; charset=utf-8", "application/json"

Other Status Codes

ErrorResponse

未預期的錯誤回應。

Media Types: "text/plain; charset=utf-8", "application/json"

安全性

api-key

類型: apiKey
位於: header

OAuth2Auth

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/v2.0/authorize

範圍

名稱 Description
https://search.azure.com/.default

範例

SearchIndexCountDocuments

範例要求

GET https://exampleservice.search.windows.net/indexes('example-index')/docs/$count?api-version=2026-04-01

範例回覆

50

定義

名稱 Description
Accept

接受標頭。

ErrorAdditionalInfo

資源管理錯誤附加資訊。

ErrorDetail

錯誤詳細資料。

ErrorResponse

所有 Azure Resource Manager API 的常見錯誤回應,用於回傳失敗操作的錯誤細節。 (這也遵循 OData 錯誤回應格式。)。

Accept

接受標頭。

Description
application/json;odata.metadata=none

ErrorAdditionalInfo

資源管理錯誤附加資訊。

名稱 類型 Description
info

附加資訊。

type

string

其他資訊類型。

ErrorDetail

錯誤詳細資料。

名稱 類型 Description
additionalInfo

ErrorAdditionalInfo[]

錯誤附加資訊。

code

string

錯誤碼。

details

ErrorDetail[]

錯誤詳情

message

string

錯誤訊息。

target

string

錯誤目標。

ErrorResponse

所有 Azure Resource Manager API 的常見錯誤回應,用於回傳失敗操作的錯誤細節。 (這也遵循 OData 錯誤回應格式。)。

名稱 類型 Description
error

ErrorDetail

錯誤物件。